# DeleteRoute

## 1. API Description

This API (DeleteRoute) is used to delete a route.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

<mark style="color:blue;">System-generated routes cannot be deleted. Only user-created routes can be deleted. Routes of type</mark> <mark style="color:blue;">`RouteTypeStatic`</mark> <mark style="color:blue;">and</mark> <mark style="color:blue;">`RouteTypePolicy`</mark> <mark style="color:blue;">are supported.</mark>
{% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description |
| -------------- | -------- | ------ | ----------- |
| routeId        | Yes      | String | Route ID.   |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Delete a route.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeleteRoute
<Common Request Params>

Request:
{
  "vpcId": "<vpcId>",
  "routeId": "<routeId>"
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code                                   | Description                    |
| ---------------- | -------------------------------------------- | ------------------------------ |
| 404              | INVALID\_VPC\_NOT\_FOUND                     | The global VPC does not exist. |
| 404              | INVALID\_VPC\_ROUTE\_NOT\_FOUND              | Route does not exist.          |
| 400              | OPERATION\_DENIED\_ROUTE\_TYPE\_NOT\_SUPPORT | Route type is not supported.   |
